const { Sequelize, DataTypes } = require('sequelize');
const sequelize = require('../app').sequelize;

const GameState = sequelize.define('GameState', {
  roomId: {
    type: DataTypes.UUID,
    allowNull: false
  },
  status: {
    type: DataTypes.STRING,
    allowNull: false
  },
  pausedBy: {
    type: DataTypes.UUID,
    allowNull: true
  }
});

module.exports = GameState;
